{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('external_user/user_invitation/mass_operation/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('external_user/user_invitation/mass_operation/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4 flex-wrap">
        {% set userInvitationOverviewUrlParameters = {'userRegistrationTypeName': app.request.attributes.get('_route_params').userRegistrationTypeName} %}

        {% set userInvitationOverviewUrlParameters = userInvitationOverviewUrlParameters|merge(fetch_merged_url_parameters_by_session_key_name('userInvitationOverview')) %}

        <a href="{{ path('external_user_user_invitation_overview', userInvitationOverviewUrlParameters) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Einladungen löschen <span class="text-secondary">({{ userInvitations|length }})</span></span>
        {{ form_widget(userInvitationMassOperationDeleteForm.delete, {'label': 'LÖSCHEN', 'id': userInvitationMassOperationDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto delete-button align-self-center'}}) }}
    </div>
{% endblock %}
{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <div class="p-3">
                <h1 class="fs-4 d-flex align-items-center">
                    <span class="material-icons me-2 text-danger">warning_amber</span>
                    Die Einladungen werden zurückgesetzt und alle verknüpften Daten werden unwiderruflich gelöscht.
                </h1>
                <p>
                    Um die ausgewählten Einladungen endgültig zu löschen, müssen Sie zuerst den folgenden Code eingeben:
                    <span class="delete-code">einladungen_{{ userInvitations|length }}</span>
                </p>
                {{ form_start(userInvitationMassOperationDeleteForm, {'attr': {'id': userInvitationMassOperationDeleteForm.vars.id ~ '_form', 'autocomplete': 'off'}}) }}
                {{ form_row(userInvitationMassOperationDeleteForm.verificationCode) }}
                {{ form_row(userInvitationMassOperationDeleteForm.selectedRowIds) }}
                {{ form_row(userInvitationMassOperationDeleteForm._token) }}
                {{ form_end(userInvitationMassOperationDeleteForm, {'render_rest': false}) }}
            </div>
        </div>
        <div class="mdc-card mb-4">
            {% include 'external_user/component/user_invitation/user_invitation_list_component.html.twig' with {
                'idPrefix': 'user_invitation_',
                'listItems': userInvitations,
                'showActionButton': false,
                'massOperation': false,
                'pagination': false,
                'sortable': false
            } only %}
        </div>
    </div>
{% endblock %}
